## org.apache.lucene.analysis.tokenattributes
Interface PayloadAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  PayloadAttributeImpl, Token

    public interface PayloadAttribute

extends Attribute

The payload of a Token. See also `Payload`.

Method Summary
`Payload` `getPayload()` Returns this Token's payload.
`void` `setPayload(Payload payload)` Sets this Token's payload.

Method Detail

### getPayload

    Payload getPayload()

  Returns this Token's payload.

### setPayload

    void setPayload(Payload payload)

  Sets this Token's payload.